.article-card {
  list-style: none;
  position: relative;

  &__image {
    height: 272px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 16px 16px 0 0;
    overflow: hidden;
  }

  &__toolbar-item {
    height: 40px;
    top: 24px;
    background-color: var(--color-white);
    border: none;
    border-radius: 10px;
    position: absolute;
    margin: 0;
    padding: 0;
    line-height: 40px;
  }

  &__keyword {
    left: 24px;
    font-family: Roboto-middle, sans-serif;
    font-weight: 500;
    font-size: 14px;
    padding: 0 22px;
  }

  &__btn {
    right: 24px;
    width: 40px;
    background-color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &__tooltip {
    opacity: 0;
    right: 69px;
    padding: 0 26px;
    border: 1px solid var(--color-gray);
    font-family: Roboto-middle, sans-serif;
    font-weight: 500;
    font-size: 12px;
    transition: opacity 0.2s linear;
  }

  &__btn--hover:hover + &__tooltip {
    opacity: 1;
  }

  &__btn:hover &__bookmark-icon path {
    stroke: var(--color-dark-gray);
    fill: none;
  }

  &__btn--hover:hover &__trash-icon path {
    stroke: var(--color-dark-gray);
    fill: var(--color-dark-gray);
  }

  &__info-box {
    height: min-content;
    padding: 17px 24px 24px;
    background-color: var(--color-white);
    border-radius: 0 0 16px 16px;
  }

  &__date {
    margin: 0;
    font-family: Inter, sans-serif;
    font-weight: 400;
    font-size: 18px;
    line-height: 1.3;
    color: var(--color-gray);
    margin-bottom: 15px;
  }

  &__title {
    margin: 0;
    min-height: 60px;
    font-family: Roboto-slab, sans-serif;
    font-weight: 400;
    font-size: 26px;
    line-height: 1.2;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 16px;
  }

  &__text {
    min-height: 110px;
    margin: 0;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 18px;
    line-height: 1.4;
  }

  &__source {
    margin: 0;
    font-family: Roboto-slab, sans-serif;
    font-weight: 700;
    font-size: 16px;
    line-height: 1.3;
    letter-spacing: 0.4px;
    text-transform: uppercase;
    color: var(--color-gray);
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  @media screen and (width <= 1272px) {
    &__image {
      height: 212px;
    }
  }

  @media screen and (width <= 1106px) {
    &__toolbar-item {
      top: 8px;
    }

    &__keyword {
      left: 8px;
      padding: 0 20px;
    }

    &__btn {
      right: 8px;
    }

    &__tooltip {
      right: 54px;
      padding: 0 20px;
    }

    &__info-box {
      padding: 16px;
    }

    &__date {
      margin-bottom: 12px;
    }

    &__title {
      min-height: 72px;
      font-size: 22px;
      line-height: 1.1;
      -webkit-line-clamp: 3;
      margin-bottom: 10px;
    }

    &__text {
      min-height: 88px;
      -webkit-line-clamp: 4;
      margin-bottom: 12px;
    }

    &__image {
      height: 196px;
    }
  }
}
